Skip to main content
GET
/
fiat-collections
/
{id}
curl https://secureapi.gridlog.io/api/v1/fiat-collections/0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2 \
  -H "X-API-Key: YOUR_API_KEY"
{
  "id": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "businessId": "9ecf5248-17e7-4a2b-b5a8-3bd58ff0fe01",
  "status": "processing",
  "amount": "50.00",
  "currency": "NGN",
  "country": "NG",
  "walletAddress": "TFtbBrsWw5DGHoKQE8VY2WzTY3VnanQ2hz",
  "cryptoCurrency": "USDT",
  "cryptoNetwork": "TRC20",
  "cryptoAmount": "48.36654808",
  "ycPaymentId": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "ycPaymentStatus": "processing",
  "ycReference": "JJ5275168",
  "ycDepositId": "a29e596a-0ae5-4386-b2a3-eacf9fc70575",
  "sequenceId": "53f7c7fa-f2bb-450c-8f6d-9ff0000f99",
  "bankName": "PAGA",
  "bankAccountNumber": "4550440202",
  "bankAccountName": "Ken Adams",
  "rate": "1617.300000",
  "networkFeeUsd": "1.130000",
  "serviceFeeUsd": "0.500000",
  "convertedAmount": "80865.00",
  "expiresAt": "2025-03-21T21:05:13.393Z",
  "recipient": {
    "name": "John Doe",
    "country": "Nigeria",
    "phone": "+2349092916898",
    "address": "Home Address, Lagos, Nigeria",
    "dob": "02/01/1997",
    "idNumber": "314159",
    "idType": "license"
  },
  "createdAt": "2025-03-21T20:55:13.393Z",
  "updatedAt": "2025-03-21T20:55:17.487Z"
}
Returns the full details of a fiat collection, including bank deposit info, crypto settlement details, current status, and fees.

Authentication

This endpoint supports both API key (X-API-Key header) and Bearer token (Authorization: Bearer <JWT>) authentication.
id
string
required
Fiat collection ID (UUID)
curl https://secureapi.gridlog.io/api/v1/fiat-collections/0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2 \
  -H "X-API-Key: YOUR_API_KEY"
{
  "id": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "businessId": "9ecf5248-17e7-4a2b-b5a8-3bd58ff0fe01",
  "status": "processing",
  "amount": "50.00",
  "currency": "NGN",
  "country": "NG",
  "walletAddress": "TFtbBrsWw5DGHoKQE8VY2WzTY3VnanQ2hz",
  "cryptoCurrency": "USDT",
  "cryptoNetwork": "TRC20",
  "cryptoAmount": "48.36654808",
  "ycPaymentId": "0a89dce0-d8d2-59a6-ab9d-1d9d8b4593e2",
  "ycPaymentStatus": "processing",
  "ycReference": "JJ5275168",
  "ycDepositId": "a29e596a-0ae5-4386-b2a3-eacf9fc70575",
  "sequenceId": "53f7c7fa-f2bb-450c-8f6d-9ff0000f99",
  "bankName": "PAGA",
  "bankAccountNumber": "4550440202",
  "bankAccountName": "Ken Adams",
  "rate": "1617.300000",
  "networkFeeUsd": "1.130000",
  "serviceFeeUsd": "0.500000",
  "convertedAmount": "80865.00",
  "expiresAt": "2025-03-21T21:05:13.393Z",
  "recipient": {
    "name": "John Doe",
    "country": "Nigeria",
    "phone": "+2349092916898",
    "address": "Home Address, Lagos, Nigeria",
    "dob": "02/01/1997",
    "idNumber": "314159",
    "idType": "license"
  },
  "createdAt": "2025-03-21T20:55:13.393Z",
  "updatedAt": "2025-03-21T20:55:17.487Z"
}
id
string
Unique collection ID (UUID)
businessId
string
Business ID that owns this collection
status
string
Collection status: pending | processing | completed | expired | failed | refunded
amount
string
Fiat amount to collect
currency
string
Fiat currency code (e.g., NGN)
country
string
Country code (e.g., NG)
walletAddress
string
Destination crypto wallet address
cryptoCurrency
string
Cryptocurrency: USDC or USDT
cryptoNetwork
string
Crypto network (e.g., TRC20, POLYGON, ERC20)
cryptoAmount
string
Estimated crypto amount to be received
bankName
string
Bank name for fiat deposit
bankAccountNumber
string
Bank account number for fiat deposit
bankAccountName
string
Bank account holder name
rate
string
Exchange rate (local currency to USD)
networkFeeUsd
string
Network fee in USD
serviceFeeUsd
string
Service fee in USD
expiresAt
string
ISO 8601 timestamp when the collection expires
ycReference
string
YellowCard reference number
createdAt
string
ISO 8601 creation timestamp
updatedAt
string
ISO 8601 last update timestamp